http://bugs.gentoo.org/398699
http://rt.cpan.org/Public/Bug/Display.html?id=67297
http://pkgs.fedoraproject.org/gitweb/?p=perl-Gtk2-Notify.git;a=blob_plain;f=libnotify.patch;hb=HEAD

--- a/t/notification.t
+++ b/t/notification.t
@@ -2,20 +2,18 @@
 
 use strict;
 use warnings;
-use Gtk2::TestHelper tests => 35;
+use Gtk2::TestHelper tests => 32;
 use Test::Exception;
 use Gtk2::Notify -init, $0;
 
 ginterfaces_ok('Gtk2::Notify');
 
-my $w = Gtk2::Window->new;
-my $n = Gtk2::Notify->new('foo', 'bar', '', $w);
+my $n = Gtk2::Notify->new('foo', 'bar', '');
 
 isa_ok($n, 'Gtk2::Notify');
 
 my @methods = qw(
         add_action
-        attach_to_widget
         clear_actions
         clear_hints
         close
@@ -46,16 +44,6 @@ lives_ok(sub {
         }, 42);
 }, 'add_action');
 
-{
-    my $nw = Gtk2::Window->new;
-    lives_ok(sub {
-            $n->attach_to_widget($nw);
-    }, 'attach_to_widget');
-    lives_ok(sub {
-            $n->attach_to_widget($w);
-    }, 'attach_to_widget');
-}
-
 lives_ok(sub {
         $n->clear_actions;
 }, 'clear_actions with existing actions');
@@ -99,8 +87,6 @@ lives_ok(sub {
         $n->close;
 }, 'close before show');
 
-$w->show_all;
-
 lives_ok(sub {
         $n->show;
 }, 'show');
--- a/xs/Notify.xs
+++ b/xs/Notify.xs
@@ -86,26 +86,12 @@ notify_get_server_info (class, OUTLIST c
 MODULE = Gtk2::Notify	PACKAGE = Gtk2::Notify	PREFIX = notify_notification_
 
 NotifyNotification *
-notify_notification_new (class, summary, body=NULL, icon=NULL, attach=NULL)
+notify_notification_new (class, summary, body=NULL, icon=NULL)
 		const gchar *summary
 		const gchar *body
 		const gchar *icon
-		GtkWidget_ornull *attach
 	C_ARGS:
-		summary, body, icon, attach
-
-#if GTK_CHECK_VERSION (2, 9, 2)
-
-NotifyNotification *
-notify_notification_new_with_status_icon (class, summary, body=NULL, icon=NULL, status_icon=NULL)
-		const gchar *summary
-		const gchar *body
-		const gchar *icon
-		GtkStatusIcon *status_icon
-	C_ARGS:
-		summary, body, icon, status_icon
-
-#endif
+		summary, body, icon
 
 gboolean
 notify_notification_update (notification, summary, message=NULL, icon=NULL)
@@ -114,27 +100,6 @@ notify_notification_update (notification
 		const gchar *message
 		const gchar *icon
 
-void
-notify_notification_attach_to_widget (notification, attach)
-		NotifyNotification *notification
-		GtkWidget *attach
-
-#if GTK_CHECK_VERSION (2, 9, 2)
-
-void
-notify_notification_attach_to_status_icon (notification, status_icon)
-		NotifyNotification *notification
-		GtkStatusIcon *status_icon
-
-#endif
-
-void
-notify_notification_set_geometry_hints (notification, screen, x, y)
-		NotifyNotification *notification
-		GdkScreen *screen
-		gint x
-		gint y
-
 NO_OUTPUT gboolean
 notify_notification_show (notification)
 		NotifyNotification *notification
